services:
  e09917f80111_opt_homepage_1:
    cap_add:
    - AUDIT_WRITE
    - CHOWN
    - DAC_OVERRIDE
    - FOWNER
    - FSETID
    - KILL
    - MKNOD
    - NET_BIND_SERVICE
    - NET_RAW
    - SETFCAP
    - SETGID
    - SETPCAP
    - SETUID
    - SYS_CHROOT
    cap_drop:
    - AUDIT_CONTROL
    - BLOCK_SUSPEND
    - DAC_READ_SEARCH
    - IPC_LOCK
    - IPC_OWNER
    - LEASE
    - LINUX_IMMUTABLE
    - MAC_ADMIN
    - MAC_OVERRIDE
    - NET_ADMIN
    - NET_BROADCAST
    - SYSLOG
    - SYS_ADMIN
    - SYS_BOOT
    - SYS_MODULE
    - SYS_NICE
    - SYS_PACCT
    - SYS_PTRACE
    - SYS_RAWIO
    - SYS_RESOURCE
    - SYS_TIME
    - SYS_TTY_CONFIG
    - WAKE_ALARM
    command:
    - node
    - server.js
    container_name: e09917f80111_opt_homepage_1
    entrypoint:
    - docker-entrypoint.sh
    environment:
      HOMEPAGE_ALLOWED_HOSTS: 192.168.50.181
      NODE_ENV: production
      NODE_VERSION: 18.20.2
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PORT: '3000'
      YARN_VERSION: 1.22.19
    image: ghcr.io/gethomepage/homepage:v0.8.12
    ports:
    - 8080:3000/tcp
    restart: unless-stopped
    volumes:
    - /opt/config:/app/config
    working_dir: /app
